Subject: Re: [PATCH v3 7/9] arm64: defconfig: Enable FSL_MC_BUS and FSL_MC_DPIO

From: Stefan Wahren <[email-masked]>
Date: Sat, 15 Dec 2018 22:44:25 +0100 (CET)

Hi,

> Olof Johansson <[email-masked]> hat am 13. Dezember 2018 um 07:48 geschrieben:
> 
> 
> On Fri, Nov 09, 2018 at 06:05:24AM +0000, Horia Geanta wrote:
> > On 11/9/2018 3:11 AM, Marc Gonzalez wrote:
> > > Commit e8342cc7954e ("enable CAAM crypto engine on QorIQ DPAA2 SoCs")
> > > enabled CRYPTO_DEV_FSL_DPAA2_CAAM, which depends on FSL_MC_DPIO,
> > > which is not set. Enable FSL_MC_BUS, and build FSL_MC_DPIO and
> > > CRYPTO_DEV_FSL_DPAA2_CAAM as modules.
> > > 
> > > Signed-off-by: Marc Gonzalez <[email-masked]>
> > Reviewed-by: Horia Geantă <[email-masked]>
> 
> I had to redo this one, and when I did I noticed that there's also an ethernet
> driver. Should that be enabled as well?
> 

this patch in next-20181214 breaks "make modules_install" for arm64/defconfig on my Ubuntu machine:

DEPMOD  4.20.0-rc6-next-20181214
depmod: ERROR: Found 6 modules in dependency cycles!
depmod: ERROR: Cycle detected: caamalg_desc -> dpaa2_caam -> authenc
depmod: ERROR: Cycle detected: caamalg_desc -> dpaa2_caam -> fsl_mc_dpio
depmod: ERROR: Cycle detected: dpaa2_caam -> caamhash_desc -> dpaa2_caam
depmod: ERROR: Cycle detected: caamalg_desc -> dpaa2_caam -> caamhash_desc -> error
depmod: ERROR: Cycle detected: caamalg_desc -> dpaa2_caam -> caamhash_desc -> caamalg_desc

After reverting of this patch the issue disappeared.

Stefan

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel